Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EclipseLink » Unsatisfied import package javax.lang.model.type
icon5.gif  Unsatisfied import package javax.lang.model.type [message #499281] Fri, 20 November 2009 16:43 Go to next message
habakuk  is currently offline habakuk Friend
Messages: 32
Registered: October 2009
Member
Hello!

Exporting a feature that depends on Eclipselink I get the following error:

Error
Fri Nov 20 17:31:41 CET 2009
Bundle org.eclipse.persistence.jpa_0.0.0 failed to resolve.:
	Unsatisfied import package javax.lang.model.type_0.0.0.
	Unsatisfied import package javax.validation_0.0.0.
	Unsatisfied import package javax.validation.groups_0.0.0.


It runs without problems inside the IDE. The error only occurs when I want to export the feature. I have been struggling for days now, to find out what the problem is Embarrassed . Eclipselink version I'm using is 1.2.0. No idea what to do know. Please help.

Thanks
Re: Unsatisfied import package javax.lang.model.type [message #499404 is a reply to message #499281] Sat, 21 November 2009 23:37 Go to previous messageGo to next message
Oliver Vesper is currently offline Oliver VesperFriend
Messages: 42
Registered: July 2009
Member
> Bundle org.eclipse.persistence.jpa_0.0.0 failed to resolve.:
> Unsatisfied import package javax.lang.model.type_0.0.0.
> Unsatisfied import package javax.validation_0.0.0.
> Unsatisfied import package javax.validation.groups_0.0.0.

Sounds like you're facing a bug which I reported a couple of weeks ago
and which has been fixed meanwhile:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=293675

HTH,
Oliver
icon14.gif  Re: Unsatisfied import package javax.lang.model.type [message #499895 is a reply to message #499404] Tue, 24 November 2009 13:42 Go to previous message
habakuk  is currently offline habakuk Friend
Messages: 32
Registered: October 2009
Member
Oliver Vesper wrote on Sat, 21 November 2009 18:37
> Bundle org.eclipse.persistence.jpa_0.0.0 failed to resolve.:
> Unsatisfied import package javax.lang.model.type_0.0.0.
> Unsatisfied import package javax.validation_0.0.0.
> Unsatisfied import package javax.validation.groups_0.0.0.

Sounds like you're facing a bug which I reported a couple of weeks ago
and which has been fixed meanwhile:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=293675

HTH,
Oliver


Thanks Oliver 4 the hint. Current version works.

Regards
Previous Topic:keeping a history
Next Topic:Caching a Multi-tenant applicantion
Goto Forum:
  


Current Time: Mon Dec 22 01:35:59 GMT 2014

Powered by FUDForum. Page generated in 0.11975 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software